/********************************** (C) COPYRIGHT *******************************
 * File Name          : app_net.c
 * Author             : WCH
 * Version            : V1.0
 * Date               :
 * Description        : netʾ
 *********************************************************************************
 * Copyright (c) 2021 Nanjing Qinheng Microelectronics Co., Ltd.
 * Attention: This software (modified or not) and binary are used for
 * microcontroller manufactured by Nanjing Qinheng Microelectronics.
 *******************************************************************************/

#ifndef USER_APP_NET_H_
#define USER_APP_NET_H_
#ifdef CH579
#include "CH57x_common.h"
#endif
#include "WCHNET.h"
#include "eth_driver.h"

extern u8 dhcpflag;
void WCHNET_HandleGlobalInt(void);
void WCHNET_CreatTcpSocket (uint32_t srcport, uint32_t desport, uint8_t *DESIP, uint8_t *SocketId);
void WCHNET_CreatUdpSocket (uint32_t srcport, uint8_t *SocketId);
void NET_Send (uint8_t socketid, uint8_t *buf, uint32_t len);
void UDP_Send (uint8_t socketid, uint8_t *buf, uint32_t slen, uint8_t *dstIP, uint16_t port);
void NET_Init (void);

static inline void NET_Process(void)
{
    WCHNET_MainTask(); /*̫,Ҫѭ*/

    if(WCHNET_QueryGlobalInt()) /*ѯ̫ȫж,ж,ȫжϴ*/
    {
        WCHNET_HandleGlobalInt();
    }
}

#endif /* USER_APP_NET_H_ */
